﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ExtremeDatasetGenerator
{
    class Program
    {
        static void Main(string[] args)
        {
            int numRecords = 1000000000;
            using (FileStream fs = new FileStream("d:/tmp/largeData.txt", FileMode.Create))
            {
                using (BinaryWriter br = new BinaryWriter(fs))
                {
                    var now = DateTime.Now;
                    Random rand = new Random();

                    double curr = 100000;
                    for (var i = 0; i < numRecords; i++)
                    {
                        var currTime = (now.AddSeconds(i - numRecords));
                        curr += -2.0 + rand.NextDouble() * 4.0;

                        var timeBytes = currTime.ToBinary();

                        br.Write(timeBytes);
                        br.Write(curr);
                    }
                }
            }
        }
    }
}
